<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.sixin.module_p.ui.set.PdaSetViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context=".ui.set.PdaSetActivity">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="10dp"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:paddingHorizontal="10dp">

            <ImageView
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:src="@drawable/img_pda_yonghu" />

            <EditText
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:background="@null"
                android:editable="false"
                android:paddingHorizontal="10dp"
                android:paddingStart="10dp"
                android:text="@{viewModel.account}"
                android:textSize="15sp" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="1dp"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:paddingHorizontal="10dp">

            <ImageView
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:src="@drawable/img_pda_yaoshi" />

            <EditText
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:background="@null"
                android:hint="请输入原密码"
                android:inputType="textPassword"
                android:paddingHorizontal="10dp"
                android:text="@={viewModel.oldPassword}"
                android:textSize="15sp" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="1dp"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:paddingHorizontal="10dp">

            <ImageView
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:src="@drawable/img_pda_yaoshi" />

            <EditText
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:background="@null"
                android:hint="请输入新密码"
                android:inputType="textPassword"
                android:paddingHorizontal="10dp"
                android:text="@={viewModel.password}"
                android:textSize="15sp" />

        </LinearLayout>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="20dp"
            android:background="@color/colorPrimary"
            android:gravity="center"
            android:onClick="@{()->viewModel.onConfirmClick()}"
            android:text="提交"
            shape_bg_color="@{@color/colorPrimary}"
            shape_radius="@{8}"
            android:textSize="18sp"
            android:textColor="@color/white" />

    </LinearLayout>
</layout>